CSB-TEST(1)

NAME
csb-test - CSB Test Runner Console

DESCRIPTION
usage: csb-test [-h] [-t {unit,functional,custom,any,regression}]

    [-v VERBOSITY] [-u] [-g GENERATED_RESOURCES] [namespaces [namespaces ...]]

CSB Test Runner Console.

  positional arguments:

namespaces
    An optional list of CSB test dotted namespaces, from which to load tests. '__main__' and '.' are interpreted as the current module. If a namespace ends with an asterisk '.*', all sub-packages will be scanned as well. Examples: "csb.test.cases.bio.*" "csb.test.cases.bio.io" "csb.test.cases.bio.utils" ".")

  optional arguments:

-h, --help
    show this help message and exit

-t {unit,functional,custom,any,regression}, --type {unit,functional,custom,any,regression}
    Type of tests to load from each namespace (default=any)

-v VERBOSITY, --verbosity VERBOSITY
    Verbosity level passed to unittest.TextTestRunner (default=1).

-u, --update-files
    Force update of the test pickles in /usr/lib/python3/dist-packages/csb/test/data

-g GENERATED_RESOURCES, --generated-resources GENERATED_RESOURCES
    Generate, store and load additional test resources in this directory (default=/usr/lib/python3/distpackages/csb/test/data)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.